Package org.apache.storm.generated

# Enum Class TopologyPageInfo._Fields

java.lang.Object
java.lang.Enum<TopologyPageInfo._Fields>
org.apache.storm.generated.TopologyPageInfo._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TopologyPageInfo._Fields>`, `Constable`, `org.apache.storm.thrift.TFieldIdEnum`

Enclosing class:
  TopologyPageInfo

public static enum TopologyPageInfo._Fields extends Enum<TopologyPageInfo._Fields> implements org.apache.storm.thrift.TFieldIdEnum
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSIGNED_CPU`
  `ASSIGNED_GENERIC_RESOURCES`
  `ASSIGNED_MEMOFFHEAP`
  `ASSIGNED_MEMONHEAP`
  `ASSIGNED_REGULAR_OFF_HEAP_MEMORY`
  `ASSIGNED_REGULAR_ON_HEAP_MEMORY`
  `ASSIGNED_SHARED_OFF_HEAP_MEMORY`
  `ASSIGNED_SHARED_ON_HEAP_MEMORY`
  `DEBUG_OPTIONS`
  `ID`
  `ID_TO_BOLT_AGG_STATS`
  `ID_TO_SPOUT_AGG_STATS`
  `NAME`
  `NUM_EXECUTORS`
  `NUM_TASKS`
  `NUM_WORKERS`
  `OWNER`
  `REPLICATION_COUNT`
  `REQUESTED_CPU`
  `REQUESTED_GENERIC_RESOURCES`
  `REQUESTED_MEMOFFHEAP`
  `REQUESTED_MEMONHEAP`
  `REQUESTED_REGULAR_OFF_HEAP_MEMORY`
  `REQUESTED_REGULAR_ON_HEAP_MEMORY`
  `REQUESTED_SHARED_OFF_HEAP_MEMORY`
  `REQUESTED_SHARED_ON_HEAP_MEMORY`
  `SCHED_STATUS`
  `STATUS`
  `STORM_VERSION`
  `TOPOLOGY_CONF`
  `TOPOLOGY_STATS`
  `TOPOLOGY_VERSION`
  `UPTIME_SECS`
  `WORKERS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TopologyPageInfo._Fields`
  `findByName(String name)`
  Find the _Fields constant that matches name, or null if its not found.
  `static TopologyPageInfo._Fields`
  `findByThriftId(int fieldId)`
  Find the _Fields constant that matches fieldId, or null if its not found.
  `static TopologyPageInfo._Fields`
  `findByThriftIdOrThrow(int fieldId)`
  Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
  `String`
  `getFieldName()`
  `short`
  `getThriftFieldId()`
  `static TopologyPageInfo._Fields`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TopologyPageInfo._Fields[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ID

    public static final TopologyPageInfo._Fields ID

  - ### NAME

    public static final TopologyPageInfo._Fields NAME

  - ### UPTIME_SECS

    public static final TopologyPageInfo._Fields UPTIME_SECS

  - ### STATUS

    public static final TopologyPageInfo._Fields STATUS

  - ### NUM_TASKS

    public static final TopologyPageInfo._Fields NUM_TASKS

  - ### NUM_WORKERS

    public static final TopologyPageInfo._Fields NUM_WORKERS

  - ### NUM_EXECUTORS

    public static final TopologyPageInfo._Fields NUM_EXECUTORS

  - ### TOPOLOGY_CONF

    public static final TopologyPageInfo._Fields TOPOLOGY_CONF

  - ### ID_TO_SPOUT_AGG_STATS

    public static final TopologyPageInfo._Fields ID_TO_SPOUT_AGG_STATS

  - ### ID_TO_BOLT_AGG_STATS

    public static final TopologyPageInfo._Fields ID_TO_BOLT_AGG_STATS

  - ### SCHED_STATUS

    public static final TopologyPageInfo._Fields SCHED_STATUS

  - ### TOPOLOGY_STATS

    public static final TopologyPageInfo._Fields TOPOLOGY_STATS

  - ### OWNER

    public static final TopologyPageInfo._Fields OWNER

  - ### DEBUG_OPTIONS

    public static final TopologyPageInfo._Fields DEBUG_OPTIONS

  - ### REPLICATION_COUNT

    public static final TopologyPageInfo._Fields REPLICATION_COUNT

  - ### WORKERS

    public static final TopologyPageInfo._Fields WORKERS

  - ### STORM_VERSION

    public static final TopologyPageInfo._Fields STORM_VERSION

  - ### TOPOLOGY_VERSION

    public static final TopologyPageInfo._Fields TOPOLOGY_VERSION

  - ### REQUESTED_MEMONHEAP

    public static final TopologyPageInfo._Fields REQUESTED_MEMONHEAP

  - ### REQUESTED_MEMOFFHEAP

    public static final TopologyPageInfo._Fields REQUESTED_MEMOFFHEAP

  - ### REQUESTED_CPU

    public static final TopologyPageInfo._Fields REQUESTED_CPU

  - ### ASSIGNED_MEMONHEAP

    public static final TopologyPageInfo._Fields ASSIGNED_MEMONHEAP

  - ### ASSIGNED_MEMOFFHEAP

    public static final TopologyPageInfo._Fields ASSIGNED_MEMOFFHEAP

  - ### ASSIGNED_CPU

    public static final TopologyPageInfo._Fields ASSIGNED_CPU

  - ### REQUESTED_REGULAR_ON_HEAP_MEMORY

    public static final TopologyPageInfo._Fields REQUESTED_REGULAR_ON_HEAP_MEMORY

  - ### REQUESTED_SHARED_ON_HEAP_MEMORY

    public static final TopologyPageInfo._Fields REQUESTED_SHARED_ON_HEAP_MEMORY

  - ### REQUESTED_REGULAR_OFF_HEAP_MEMORY

    public static final TopologyPageInfo._Fields REQUESTED_REGULAR_OFF_HEAP_MEMORY

  - ### REQUESTED_SHARED_OFF_HEAP_MEMORY

    public static final TopologyPageInfo._Fields REQUESTED_SHARED_OFF_HEAP_MEMORY

  - ### ASSIGNED_REGULAR_ON_HEAP_MEMORY

    public static final TopologyPageInfo._Fields ASSIGNED_REGULAR_ON_HEAP_MEMORY

  - ### ASSIGNED_SHARED_ON_HEAP_MEMORY

    public static final TopologyPageInfo._Fields ASSIGNED_SHARED_ON_HEAP_MEMORY

  - ### ASSIGNED_REGULAR_OFF_HEAP_MEMORY

    public static final TopologyPageInfo._Fields ASSIGNED_REGULAR_OFF_HEAP_MEMORY

  - ### ASSIGNED_SHARED_OFF_HEAP_MEMORY

    public static final TopologyPageInfo._Fields ASSIGNED_SHARED_OFF_HEAP_MEMORY

  - ### REQUESTED_GENERIC_RESOURCES

    public static final TopologyPageInfo._Fields REQUESTED_GENERIC_RESOURCES

  - ### ASSIGNED_GENERIC_RESOURCES

    public static final TopologyPageInfo._Fields ASSIGNED_GENERIC_RESOURCES

- ## Method Details

  - ### values

    public static TopologyPageInfo._Fields[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TopologyPageInfo._Fields valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### findByThriftId

    public static TopologyPageInfo._Fields findByThriftId(int fieldId)
    Find the _Fields constant that matches fieldId, or null if its not found.

  - ### findByThriftIdOrThrow

    public static TopologyPageInfo._Fields findByThriftIdOrThrow(int fieldId)
    Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

  - ### findByName

    public static TopologyPageInfo._Fields findByName(String name)
    Find the _Fields constant that matches name, or null if its not found.

  - ### getThriftFieldId

    public short getThriftFieldId()
    Specified by:
      `getThriftFieldId` in interface `org.apache.storm.thrift.TFieldIdEnum`

  - ### getFieldName

    public String getFieldName()
    Specified by:
      `getFieldName` in interface `org.apache.storm.thrift.TFieldIdEnum`